Package com.massivecraft.factions.missions

## Class MissionHandler

- java.lang.Object
- - com.massivecraft.factions.missions.MissionHandler

All Implemented Interfaces:
  `org.bukkit.event.Listener`

    public class MissionHandler
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`MissionHandler​(FactionsPlugin plugin)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `onBlockBreak​(org.bukkit.event.block.BlockBreakEvent event)` |
`void` | `onBlockPlace​(org.bukkit.event.block.BlockPlaceEvent event)` |
`void` | `onEntityDeath​(org.bukkit.event.entity.EntityDeathEvent event)` |
`void` | `onPlayerConsume​(org.bukkit.event.player.PlayerItemConsumeEvent e)` |
`void` | `onPlayerEnchant​(org.bukkit.event.enchantment.EnchantItemEvent e)` |
`void` | `onPlayerFish​(org.bukkit.event.player.PlayerFishEvent event)` |
`void` | `onPlayerTame​(org.bukkit.event.entity.EntityTameEvent event)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MissionHandler

    public MissionHandler​(FactionsPlugin plugin)

### Method Detail

#### onPlayerTame

    public void onPlayerTame​(org.bukkit.event.entity.EntityTameEvent event)

#### onEntityDeath

    public void onEntityDeath​(org.bukkit.event.entity.EntityDeathEvent event)

#### onBlockBreak

    public void onBlockBreak​(org.bukkit.event.block.BlockBreakEvent event)

#### onBlockPlace

    public void onBlockPlace​(org.bukkit.event.block.BlockPlaceEvent event)

#### onPlayerFish

    public void onPlayerFish​(org.bukkit.event.player.PlayerFishEvent event)

#### onPlayerEnchant

    public void onPlayerEnchant​(org.bukkit.event.enchantment.EnchantItemEvent e)

#### onPlayerConsume

    public void onPlayerConsume​(org.bukkit.event.player.PlayerItemConsumeEvent e)